	/*
	* PopupFP module for Joomla! 3.x
	* Version J3.0
	* Creation date: Novembre 2020
	* Author: Fabrice4821 - www.creation-web.pro
	* Author email: support@gmapfp.org
	* License GNU/GPL
	*/

function setCookieDays(cname, cvalue, exdays) {
  var d = new Date();
  d.setTime(d.getTime() + (exdays*24*60*60*1000));
  var expires = "expires="+ d.toUTCString();
  document.cookie = cname + "=" + cvalue + ";" + expires + ";path=/";
}

function setCookieSeconds(cname, cvalue, exseconds) {
	var expires = '';
	if (exseconds > 0) { // si exseconds = 0 => cookies de session
		var d = new Date();
		d.setTime(d.getTime() + (exseconds*1000));
		var expires = "expires="+ d.toUTCString() + ";";
	}
	document.cookie = cname + "=" + cvalue + ";" + expires + "path=/";
}

function getCookie(cname) {
  var name = cname + "=";
  var decodedCookie = decodeURIComponent(document.cookie);
  var ca = decodedCookie.split(';');
  for(var i = 0; i <ca.length; i++) {
    var c = ca[i];
    while (c.charAt(0) == ' ') {
      c = c.substring(1);
    }
    if (c.indexOf(name) == 0) {
      return c.substring(name.length, c.length);
    }
  }
  return "";
}