<?php
	/*
	* PopupFP module for Joomla! 3.x
	* Version J3.2
	* Creation date: Juillet 2022
	* Author: Fabrice4821 - www.creation-web.pro
	* Author email: support@gmapfp.org
	* License GNU/GPL
	*/

defined('_JEXEC') or die;

use Joomla\CMS\Language\Text;

JHtml::_('jquery.framework');
JHtml::stylesheet('media/mod_popupfp/css/jquery.fancybox.min.css');
JHtml::script('media/mod_popupfp/js/cookies.js');
JHtml::script('media/mod_popupfp/js/jquery.fancybox.min.js');

$widht='';
$height='';
$tag_id = 'popupfp-'.$module->id;

if (strtolower($params->get('width_popup', 'auto')) != 'auto'){
	$widht = 'width: '.$params->get('width_popup').';';
}
if (strtolower($params->get('height_popup', 'auto')) != 'auto'){
	$height = 'height: '.$params->get('height_popup').';';
}

echo '<div id="'.$tag_id.'" class="popupfp popupfp_container" style="display:none;'.$widht.$height.'background:'.$params->get('color_popup', '#ffffff').';">';
	echo $params->get('content_popup');
echo '</div>';

if ($params->get('popup_animation', 'aleatoire') == 'aleatoire') {
	$animations = array("fade", "slide", "circular", "tube", "zoom-in-out", "rotate");
	$animation = $animations[rand(0,5)];
} else
$aniamtion = $params->get('popup_animation', 'aleatoire');

if($params->get('cookietime')){
	$script_cookie = "
	var show_popupfp".$module->id." = 0;
	var check_popup_cookie_time".$module->id." = ".$params->get('cookietime').";
	if (getCookie('check_popup".$module->id."')==''){
		show_popupfp".$module->id." = 1;
	}
	if (check_popup_cookie_time".$module->id." == 1) {
		setCookieSeconds('check_popup".$module->id."', 1, 0);
	}
	
	";
} else {
	$script_cookie = "
	show_popupfp".$module->id." = 1;
	
	";
}

$script = "
	var delais".$module->id.";

	".$script_cookie."
	function open_popupfp".$module->id."()
	{
		jQuery.fancybox.defaults.smallBtn=".$params->get('show_btn_close_popup', '1').";
		jQuery.fancybox.defaults.i18n.en={CLOSE : '".Text::_('MOD_POPUPFP_FERMER')."'};
		jQuery.fancybox.defaults.animationEffect='".$animation."';
		jQuery.fancybox.defaults.animationDuration='".$params->get('popup_animation_time', '1000')."';
		jQuery.fancybox.open({
			src : '#".$tag_id."'
		});
	}
	jQuery(document).ready(function ($){
	";
	if($params->get('time_show_popup') != 0){
$script .= "	delais".$module->id." = setInterval(function(){
				if (show_popupfp".$module->id."){
					open_popupfp".$module->id."();
					show_popupfp".$module->id." = 0;
				}
				clearInterval(delais".$module->id.");
			},".$params->get('time_show_popup').");
";
	}else{
$script .= "			if (show_popupfp".$module->id."){
				open_popupfp".$module->id."();
				show_popupfp".$module->id." = 0;
			}
";
	}
$script .= "	});
";

$document->addScriptDeclaration($script);
?>